echo off
cls
goto start

rem This batch file allows you to easily select a network services.

:start

set spath=c:\slip\
set gpath=c:\gopher\
set ppath=c:\popmail\
set tpath=c:\ncsa\

if %1. == ?.        goto list
if %1. == .         goto list
if %1. == help.     goto list
if %1. == setup.    goto setup
if %1. == hangup.   goto forceH
if %1. == dial.     goto forceD
if %1. == exit.     goto hangup
if %1. == quit.     goto hangup
if %1. == popmail.  goto needsslip
if %1. == gopher.   goto needsslip
if %1. == telnet.   goto needsslip
if %1. == ftp.      goto needsslip
if %1. == HELP.     goto list
if %1. == SETUP.    goto setup
if %1. == HANGUP.   goto forceH
if %1. == DIAL.     goto forceD
if %1. == EXIT.     goto hangup
if %1. == QUIT.     goto hangup
if %1. == POPMAIL.  goto needsslip
if %1. == GOPHER.   goto needsslip
if %1. == TELNET.   goto needsslip
if %1. == FTP.      goto needsslip
goto bogus
goto end

:needsslip
%spath%umslip >nul
%spath%phone dial

if errorlevel 1 goto nogo
if %1. == popmail. goto pop
if %1. == gopher.  goto gop
if %1. == telnet.  goto tel
if %1. == ftp.     goto ftp
if %1. == POPMAIL. goto pop
if %1. == GOPHER.  goto gop
if %1. == TELNET.  goto tel
if %1. == FTP.     goto ftp
goto bogus


:hangup
%spath%phone hangup
termin 0x60 >nul
goto end

:forceH
%spath%umslip >nul
%spath%phone force hangup
goto end

:forceD
%spath%umslip >nul
%spath%phone force dial
goto end

:nogo
echo Dialing error! No SLIP connection.
goto end

:pop
%ppath%\popmail -path %ppath%
goto list

:gop
%gpath%\gopher
goto list

:tel
%tpath%\telbin -h %tpath%\config.tel %2 %3 %4 %5 %6
goto list

:ftp
%tpath%\ftpbin -h %tpath%\config.tel %2 %3 %4 %5 %6 %7 %8 %9
goto list

:setup
%spath%umslip >nul
%spath%phone setup
goto list

:bogus
echo %1 is not a valid command. Try again.
echo.

:list
echo                    SLIP 1.9.3
echo.
echo Please enter one of the following in LOWER case:
echo ------------------------------------------------
echo slip setup           to change phone number, modem settings, etc.
echo.
echo slip                 to get help
echo slip popmail
echo slip gopher
echo slip telnet
echo slip ftp
echo.
echo slip quit            to hang up the phone and unload packet driver
echo.

:end
