@ECHO OFF
SET CSDTYPE=BASE
SET CSDNO=BASE 2.1.0.3
rem
rem  Licensed Materials - Property of IBM
rem
rem  (C) Copyright IBM Corp. 1991,1993. All rights reserved.
rem  US Government Users Restricted Rights - Use, duplication or
rem  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem
rem
rem  Written by:  William T. Nelson
rem               IBM Corporation
rem               March 23, 1991
rem
rem  Updated by:  Lee Cole
rem               IBM Corporation
rem               Feb. 15, 1993
rem

set DSK=%1
if %1.==. SET DSK=A:\
if not exist %DSK%lpt1 goto slash
goto noslash
:slash
SET DSK=%DSK%\
if not exist %DSK%lpt1 goto help
:MOUNT
if not exist %DSK%%CSDTYPE%CSD.DOC goto REQUEST
goto CONTINUE
:REQUEST
echo Please INSERT %CSDTYPE% CSD DISKETTE 1
pause
goto MOUNT
:noslash
if not exist %DSK%%CSDTYPE%CSD.DOC goto REQUEST
if exist %DSK%ASK.EXE goto CONTINUE
:help

cls
echo.
echo IBM TCP/IP for DOS Version 2.1
echo Corrective Service Diskette
echo Feburary 15, 1993
echo.
echo.
echo If you are running this program from anything other than diskette
echo drive A, you must enter:
echo.
echo           %0 [drive letter][\path]
echo.
echo to override diskette drive A (i.e. %0 B).
echo.
echo.
echo The drive:\path %DSK% is invalid.  Correct and try again.
goto QUIT

SET D=B
if "%D%"=="" goto QUIT
if EXIST %DSK%ASK.EXE SET D=
if "%D%"=="B" goto QUIT

:CONTINUE
%DSK%TCPCHKV %CSDNO%
if errorlevel 1 goto  CHKBASE

echo.
echo.
echo.
echo.
echo This CSD has already been installed.  If you install it again
echo you may backlevel your system.
echo Do you want the Corrective Service to be applied again? (Y, N or Q):
%DSK%ask Yy Nn Qq
if ERRORLEVEL 3 goto QUIT
if ERRORLEVEL 2 goto QUIT

:CHKBASE
if %tcpbase%.==. set tcpbase=%ETC%\..

echo.
echo.
echo.
echo.
echo Your TCPBASE environment variable is set to:  %TCPBASE%
echo.
echo Do you want the Corrective Service to be applied to the TCP/IP for DOS
echo installed at %TCPBASE% (Y, N or Q):
%DSK%ask Yy Nn Qq
if ERRORLEVEL 3 goto QUIT
if ERRORLEVEL 2 goto BADBASE
if ERRORLEVEL 1 goto CHKDECOMP
echo.
echo.
echo ERROR:  Your entry must be Y(es), N(o) or Q(uit)
echo.
goto CHKBASE


:BADBASE

echo.
echo.
echo The environment variable TCPBASE must be set inorder for this CSD to
echo install correctly.  TCPBASE points to the base directory for the
echo TCP/IP for DOS product.  Please set this variable by entering:
echo.
echo        SET TCPBASE=[base directory]
echo.
echo For example:
echo.
echo        SET TCPBASE=C:\TCPDOS
echo.
goto QUIT


:CHKDECOMP

IF EXIST %TCPBASE%\BIN\DECOMP.EXE goto DOCSDSECT
echo.
echo.
echo ERROR:
echo.
echo You must have installed the IBM TCP/IP for DOS Product in the directory
echo indicated by the environment variable TCPBASE.  This BIN subdirectory
echo should contain the file DECOMP.EXE.  If you have deleted this file, you
echo must reinstall the TCP/IP for DOS before this CSD can be applied.
echo.
goto QUIT

:DOCSDSECT
cls

:DOCSD

echo.
echo.
echo This CSD replaces several files within the %TCPBASE%\BIN and
echo %TCPBASE%\ETC directories.  If you wish, a backup copy of each
echo original file will be saved under under a different name.  The backup
echo file will be created by changing the last character in each file type
echo to an "@" (i.e. TELNET.EXE will be saved as TELNET.EX@).
echo.
echo Please note that only one backup of each file will be saved and if
echo you have any backup copies that you wish to retain, you must back these
echo files up by hand.
echo.
echo WARNING:  To perform this backup, you must have at lease 1.7MB free
echo           (1,700,000 bytes) on the disk drive that contains %TCPBASE%.
echo           There is no error checking to verify if you have enough free
echo           disk space so, YOU MUST ASSURE THAT YOU HAVE ENOUGH ROOM TO
echo           BACKUP THE FILES.
echo.
echo Do you want the previous versions to be saved (Y, N or Q):
%DSK%PUSHD %TCPBASE%
if errorlevel 1 goto QUIT

%DSK%ask Yy Nn Qq
if ERRORLEVEL 3 goto QUIT
if ERRORLEVEL 2 goto REALLYDOCSD
if ERRORLEVEL 1 goto COPYFILES
echo.
echo.
echo ERROR:  Your entry must be Y(es), N(o) or Q(uit)
echo.
goto DOCSD

:COPYFILES

cls

echo.
echo.
echo PLEASE WAIT WHILE THE ORIGINAL FILES ARE BEING BACKED UP....
echo.
echo.

COPY %ETC%\..\BIN\COMPRESS.EXE CP$.EXE>nul

echo .... CUSTOM.EXE	-- CUSTOM.EX@
if exist BIN\CUSTOM.EXE CP$ BIN\CUSTOM.EXE BIN\CUSTOM.EX@ >nul
echo .... FTPD.EXE	-- FTPD.EX@
if exist BIN\FTPD.EXE CP$ BIN\FTPD.EXE BIN\FTPD.EX@ >nul
echo .... INET.EXE	-- INET.EX@
if exist BIN\INET.EXE CP$ BIN\INET.EXE BIN\INET.EX@ >nul
echo .... INET.SYM	-- INET.SY@
if exist BIN\INET.SYM CP$ BIN\INET.SYM BIN\INET.SY@ >nul
echo .... INET.MAP	-- INET.MA@
if exist ETC\MAPS\INET.MAP CP$ ETC\MAPS\INET.MAP ETC\MAPS\INET.MA@ >nul
echo .... LPD.EXE	-- LPD.EX@
if exist BIN\LPD.EXE CP$ BIN\LPD.EXE BIN\LPD.EX@ >nul
echo .... LPRRD.EXE	-- LPRRD.EX@
if exist BIN\LPRRD.EXE CP$ BIN\LPRRD.EXE BIN\LPRRD.EX@ >nul
echo .... LPRRD.MAP	-- LPRRD.MA@
if exist ETC\MAPS\LPRRD.MAP CP$ ETC\MAPS\LPRRD.MAP ETC\MAPS\LPRRD.MA@ >nul
echo .... FTP.EXE	-- FTP.EX@
if exist BIN\FTP.EXE CP$ BIN\FTP.EXE BIN\FTP.EX@ >nul
echo .... FTPP.EXE	-- FTPP.EX@
if exist BIN\FTPP.EXE CP$ BIN\FTPP.EXE BIN\FTPP.EX@ >nul
echo .... TCPLEVEL.EXE	-- TCPLEVEL.EX@
if exist BIN\TCPLEVEL.EXE CP$ BIN\TCPLEVEL.EXE BIN\TCPLEVEL.EX@ >nul
echo .... LPR.EXE	-- LPR.EX@
if exist BIN\LPR.EXE CP$ BIN\LPR.EXE BIN\LPR.EX@ >nul
echo .... ROUTE.EXE	-- ROUTE.EX@
if exist BIN\ROUTE.EXE CP$ BIN\ROUTE.EXE BIN\ROUTE.EX@ >nul
echo .... TELNET.EXE	-- TELNET.EX@
if exist BIN\TELNET.EXE CP$ BIN\TELNET.EXE BIN\TELNET.EX@ >nul
echo .... TELNET.PIF	-- TELNET.PI@
if exist BIN\TELNET.PIF CP$ BIN\TELNET.PIF BIN\TELNET.PI@ >nul
echo .... READ.ME 	-- READ.ME@
if exist DOC\READ.ME  CP$ DOC\READ.ME  DOC\READ.ME@ >nul
echo .... WFTP.EXE	-- WFTP.EX@
if exist BIN\WFTP.EXE CP$ BIN\WFTP.EXE BIN\WFTP.EX@ >nul
echo .... WLPR.EXE	-- WLPR.EX@
if exist BIN\WLPR.EXE CP$ BIN\WLPR.EXE BIN\WLPR.EX@ >nul
echo .... WMAIL.EXE	-- WMAIL.EX@
if exist BIN\WMAIL.EXE CP$ BIN\WMAIL.EXE BIN\WMAIL.EX@ >nul
echo .... WFTPAPI.DLL	-- WFTPAPI.DL@
if exist BIN\WFTPAPI.DLL CP$ BIN\WFTPAPI.DLL BIN\WFTPAPI.DL@ >nul
echo .... WINSOCK.DLL	-- WINSOCK.DL@
if exist BIN\WINSOCK.DLL CP$ BIN\WINSOCK.DLL BIN\WINSOCK.DL@ >nul
echo .... WTELNET.EXE	-- WTELNET.EX@
if exist BIN\WTELNET.EXE CP$ BIN\WTELNET.EXE BIN\WTELNET.EX@ >nul
echo .... BOOTP.EXE	-- BOOTP.EX@
if exist BIN\BOOTP.EXE CP$ BIN\BOOTP.EXE BIN\BOOTP.EX@ >nul
echo .... RCOPY.EXE	-- RCOPY.EX@
if exist BIN\RCOPY.EXE CP$ BIN\RCOPY.EXE BIN\RCOPY.EX@ >nul
echo .... RCP.EXE	-- RCP.EX@
if exist BIN\RCP.EXE CP$ BIN\RCP.EXE BIN\RCP.EX@ >nul
echo .... MAIL.EXE	-- MAIL.EX@
if exist BIN\MAIL.EXE CP$ BIN\MAIL.EXE BIN\MAIL.EX@ >nul
echo .... POPGET.EXE	-- POPGET.EX@
if exist BIN\POPGET.EXE CP$ BIN\POPGET.EXE BIN\POPGET.EX@ >nul
echo .... ROUTED.EXE	-- ROUTED.EX@
if exist BIN\ROUTED.EXE CP$ BIN\ROUTED.EXE BIN\ROUTED.EX@ >nul
echo .... LPDDOWN.EXE	-- LPDDOWN.EX@
if exist BIN\LPDDOWN.EXE CP$ BIN\LPDDOWN.EXE BIN\LPDDOWN.EX@ >nul
echo .... SLIP.EXE	-- SLIP.EX@
if exist BIN\SLIP.EXE CP$ BIN\SLIP.EXE BIN\SLIP.EX@ >nul
echo .... IFCONFIG.EXE	-- IFCONFIG.EX@
if exist BIN\IFCONFIG.EXE CP$ BIN\IFCONFIG.EXE BIN\IFCONFIG.EX@ >nul
echo .... NETSTAT.EXE	-- NETSTAT.EX@
if exist BIN\NETSTAT.EXE CP$ BIN\NETSTAT.EXE BIN\NETSTAT.EX@ >nul
echo .... TFTP.EXE	-- TFTP.EX@
if exist BIN\TFTP.EXE CP$ BIN\TFTP.EXE BIN\TFTP.EX@ >nul
echo .... TN3270.EXE	-- TN3270.EX@
if exist BIN\TN3270.EXE CP$ BIN\TN3270.EXE BIN\TN3270.EX@ >nul
echo .... WPING.EXE	-- WPING.EX@
if exist BIN\WPING.EXE CP$ BIN\WPING.EXE BIN\WPING.EX@ >nul
echo .... SLIP.DOC	-- SLIP.DO@
if exist DOC\SLIP.DOC CP$ DOC\SLIP.DOC DOC\SLIP.DO@ >nul
echo .... BOOTP.LST	-- BOOTP.LS@
if exist HELP\BOOTP.LST CP$ HELP\BOOTP.LST HELP\BOOTP.LS@ >nul
echo .... TFTP.LST	-- TFTP.LS@
if exist HELP\TFTP.LST CP$ HELP\TFTP.LST HELP\TFTP.LS@ >nul
echo .... TFTP.DOC	-- TFTP.DO@
if exist DOC\TFTP.DOC CP$ DOC\TFTP.DOC DOC\TFTP.DO@ >nul
echo .... SLIPDIAL.EXE	-- SLIPDIAL.EX@
if exist BIN\SLIPDIAL.EXE CP$ BIN\SLIPDIAL.EXE BIN\SLIPDIAL.EX@ >nul
echo .... COMTCP.EXE	-- COMTCP.EX@
if exist BIN\COMTCP.EXE CP$ BIN\COMTCP.EXE BIN\COMTCP.EX@ >nul
echo .... LPD.PIF	-- LPD.PI@
if exist BIN\LPD.PIF CP$ BIN\LPD.PIF BIN\LPD.PI@ >nul
echo .... WMAIL.INI	-- WMAIL.IN@
if exist ETC\WMAIL.INI CP$ ETC\WMAIL.INI ETC\WMAIL.IN@ >nul
echo .... SMTP.DLL	-- SMTP.DL@
if exist BIN\SMTP.DLL CP$ BIN\SMTP.DLL BIN\SMTP.DL@ >nul
echo .... POP.DLL	-- POP.DL@
if exist BIN\POP.DLL CP$ BIN\POP.DLL BIN\POP.DL@ >nul
echo .... DECODE.EXE	-- DECODE.EX@
if exist BIN\DECODE.EXE CP$ BIN\DECODE.EXE BIN\DECODE.EX@ >nul
echo .... TCP437.FON	-- TCP437.FO@
if exist BIN\TCP437.FON CP$ BIN\TCP437.FON BIN\TCP437.FO@ >nul
echo .... TCP850.FON	-- TCP850.FO@
if exist BIN\TCP850.FON CP$ BIN\TCP850.FON BIN\TCP850.FO@ >nul
echo .... NEWPING.ICO	-- NEWPING.IC@
if exist BIN\NEWPING.ICO CP$ BIN\NEWPING.ICO BIN\NEWPING.IC@ >nul
echo .... DOSTCP.SYS	-- DOSTCP.SY@
if exist BIN\DOSTCP.SYS CP$ BIN\DOSTCP.SYS BIN\DOSTCP.SY@ >nul
echo .... WTELNET.HLP	-- WTELNET.HL@
if exist HELP\WTELNET.HLP CP$ HELP\WTELNET.HLP HELP\WTELNET.HL@ >nul
echo .... SETCLOCK.EXE	-- SETCLOCK.EX@
if exist BIN\SETCLOCK.EXE CP$ BIN\SETCLOCK.EXE BIN\SETCLOCK.EX@ >nul
echo .... TCPABOUT.EXE	-- TCPABOUT.EX@
if exist BIN\TCPABOUT.EXE CP$ BIN\TCPABOUT.EXE BIN\TCPABOUT.EX@ >nul
echo .... FTP.DOC	-- FTP.DO@
if exist DOC\FTP.DOC CP$ DOC\FTP.DOC DOC\FTP.DO@ >nul
echo .... X437037.XLT	-- X437037.XL@
if exist ETC\XLATE\X437037.XLT CP$ ETC\XLATE\X437037.XLT ETC\XLATE\X437037.XL@ >nul
echo .... X437273.XLT	-- X437273.XL@
if exist ETC\XLATE\X437273.XLT CP$ ETC\XLATE\X437273.XLT ETC\XLATE\X437273.XL@ >nul
echo .... X437277.XLT	-- X437277.XL@
if exist ETC\XLATE\X437277.XLT CP$ ETC\XLATE\X437277.XLT ETC\XLATE\X437277.XL@ >nul
echo .... X437278.XLT	-- X437278.XL@
if exist ETC\XLATE\X437278.XLT CP$ ETC\XLATE\X437278.XLT ETC\XLATE\X437278.XL@ >nul
echo .... X437280.XLT	-- X437280.XL@
if exist ETC\XLATE\X437280.XLT CP$ ETC\XLATE\X437280.XLT ETC\XLATE\X437280.XL@ >nul
echo .... X437281.XLT	-- X437281.XL@
if exist ETC\XLATE\X437281.XLT CP$ ETC\XLATE\X437281.XLT ETC\XLATE\X437281.XL@ >nul
echo .... X437284.XLT	-- X437284.XL@
if exist ETC\XLATE\X437284.XLT CP$ ETC\XLATE\X437284.XLT ETC\XLATE\X437284.XL@ >nul
echo .... X437285.XLT	-- X437285.XL@
if exist ETC\XLATE\X437285.XLT CP$ ETC\XLATE\X437285.XLT ETC\XLATE\X437285.XL@ >nul
echo .... X437297.XLT	-- X437297.XL@
if exist ETC\XLATE\X437297.XLT CP$ ETC\XLATE\X437297.XLT ETC\XLATE\X437297.XL@ >nul
echo .... X437500.XLT	-- X437500.XL@
if exist ETC\XLATE\X437500.XLT CP$ ETC\XLATE\X437500.XLT ETC\XLATE\X437500.XL@ >nul
echo .... LPRRDSET.EXE	-- LPRRDSET.EX@
if exist BIN\LPRRDSET.EXE CP$ BIN\LPRRDSET.EXE BIN\LPRRDSET.EX@ >nul
echo .... SETTERM.EXE	-- SETTERM.EX@
if exist BIN\SETTERM.EXE CP$ BIN\SETTERM.EXE BIN\SETTERM.EX@ >nul

if exist DOC\READ.ME CP$ DOC\READ.ME DOC\READ.ME@ >nul
ERASE CP$.EXE>nul
:REALLYDOCSD

cls

echo.
echo.
echo PLEASE WAIT WHILE THE CSD IS BEING APPLIED....
echo.
echo.

@echo off
COPY %ETC%\..\BIN\DECOMP.EXE DC$.EXE>nul
echo ....%CSDTYPE%CSD.DOC
COPY %DSK%%CSDTYPE%CSD.DOC DOC\%CSDTYPE%CSD.DOC >nul

echo .... CUSTOM.EX#	-- CUSTOM.EXE
DC$ %DSK%CUSTOM.EX#	BIN\CUSTOM.EXE >nul
echo .... FTPD.EX#	-- FTPD.EXE
DC$ %DSK%FTPD.EX#	BIN\FTPD.EXE >nul
echo .... INET.EX#	-- INET.EXE
DC$ %DSK%INET.EX#	BIN\INET.EXE >nul
echo .... INET.SY#	-- INET.SYM
DC$ %DSK%INET.SY#	BIN\INET.SYM >nul
if not exist ETC\MAPS\nul md ETC\MAPS
echo .... INET.MA#	-- INET.MAP
DC$ %DSK%INET.MA#	ETC\MAPS\INET.MAP >nul
echo .... LPD.EX#	-- LPD.EXE
DC$ %DSK%LPD.EX#	BIN\LPD.EXE >nul
echo .... LPRRD.EX#	-- LPRRD.EXE
DC$ %DSK%LPRRD.EX#	BIN\LPRRD.EXE >nul
echo .... LPRRD.MA#	-- LPRRD.MAP
DC$ %DSK%LPRRD.MA#	ETC\MAPS\LPRRD.MAP >nul
echo .... FTP.EX#	-- FTP.EXE
DC$ %DSK%FTP.EX#	BIN\FTP.EXE >nul
echo .... FTPP.EX#	-- FTPP.EXE
DC$ %DSK%FTPP.EX#	BIN\FTPP.EXE >nul
echo .... TCPLEVEL.EX#	-- TCPLEVEL.EXE
DC$ %DSK%TCPLEVEL.EX#	BIN\TCPLEVEL.EXE >nul
echo .... LPR.EX#	-- LPR.EXE
DC$ %DSK%LPR.EX#	BIN\LPR.EXE >nul
echo .... ROUTE.EX#	-- ROUTE.EXE
DC$ %DSK%ROUTE.EX#	BIN\ROUTE.EXE >nul
echo .... TELNET.EX#	-- TELNET.EXE
DC$ %DSK%TELNET.EX#	BIN\TELNET.EXE >nul
echo .... TELNET.PI#	-- TELNET.PIF
DC$ %DSK%TELNET.PI#	BIN\TELNET.PIF >nul
if not exist DOC\nul md DOC
echo .... READ.ME#	-- READ.ME 
DC$ %DSK%READ.ME#	DOC\READ.ME  >nul

@echo off
echo.
echo.
echo.
echo Please insert TCPCSD Diskette 2.
pause
echo.
@echo off
echo .... WFTP.EX#	-- WFTP.EXE
DC$ %DSK%WFTP.EX#	BIN\WFTP.EXE >nul
echo .... WLPR.EX#	-- WLPR.EXE
DC$ %DSK%WLPR.EX#	BIN\WLPR.EXE >nul
echo .... WMAIL.EX#	-- WMAIL.EXE
DC$ %DSK%WMAIL.EX#	BIN\WMAIL.EXE >nul
echo .... WFTPAPI.DL#	-- WFTPAPI.DLL
DC$ %DSK%WFTPAPI.DL#	BIN\WFTPAPI.DLL >nul
echo .... WINSOCK.DL#	-- WINSOCK.DLL
DC$ %DSK%WINSOCK.DL#	BIN\WINSOCK.DLL >nul
echo .... WTELNET.EX#	-- WTELNET.EXE
DC$ %DSK%WTELNET.EX#	BIN\WTELNET.EXE >nul
echo .... BOOTP.EX#	-- BOOTP.EXE
DC$ %DSK%BOOTP.EX#	BIN\BOOTP.EXE >nul
echo .... RCOPY.EX#	-- RCOPY.EXE
DC$ %DSK%RCOPY.EX#	BIN\RCOPY.EXE >nul
echo .... RCP.EX#	-- RCP.EXE
DC$ %DSK%RCP.EX#	BIN\RCP.EXE >nul
echo .... MAIL.EX#	-- MAIL.EXE
DC$ %DSK%MAIL.EX#	BIN\MAIL.EXE >nul
echo .... POPGET.EX#	-- POPGET.EXE
DC$ %DSK%POPGET.EX#	BIN\POPGET.EXE >nul
echo .... ROUTED.EX#	-- ROUTED.EXE
DC$ %DSK%ROUTED.EX#	BIN\ROUTED.EXE >nul
echo .... LPDDOWN.EX#	-- LPDDOWN.EXE
DC$ %DSK%LPDDOWN.EX#	BIN\LPDDOWN.EXE >nul
echo .... SLIP.EX#	-- SLIP.EXE
DC$ %DSK%SLIP.EX#	BIN\SLIP.EXE >nul
echo .... IFCONFIG.EX#	-- IFCONFIG.EXE
DC$ %DSK%IFCONFIG.EX#	BIN\IFCONFIG.EXE >nul
echo .... NETSTAT.EX#	-- NETSTAT.EXE
DC$ %DSK%NETSTAT.EX#	BIN\NETSTAT.EXE >nul
echo .... TFTP.EX#	-- TFTP.EXE
DC$ %DSK%TFTP.EX#	BIN\TFTP.EXE >nul
echo .... TN3270.EX#	-- TN3270.EXE
DC$ %DSK%TN3270.EX#	BIN\TN3270.EXE >nul
echo .... WPING.EX#	-- WPING.EXE
DC$ %DSK%WPING.EX#	BIN\WPING.EXE >nul
if not exist DOC\nul md DOC
echo .... SLIP.DO#	-- SLIP.DOC
DC$ %DSK%SLIP.DO#	DOC\SLIP.DOC >nul
echo .... BOOTP.LS#	-- BOOTP.LST
DC$ %DSK%BOOTP.LS#	HELP\BOOTP.LST >nul
echo .... TFTP.LS#	-- TFTP.LST
DC$ %DSK%TFTP.LS#	HELP\TFTP.LST >nul
echo .... TFTP.DO#	-- TFTP.DOC
DC$ %DSK%TFTP.DO#	DOC\TFTP.DOC >nul
echo .... SLIPDIAL.EX#	-- SLIPDIAL.EXE
DC$ %DSK%SLIPDIAL.EX#	BIN\SLIPDIAL.EXE >nul
echo .... COMTCP.EX#	-- COMTCP.EXE
DC$ %DSK%COMTCP.EX#	BIN\COMTCP.EXE >nul
echo .... LPD.PI#	-- LPD.PIF
DC$ %DSK%LPD.PI#	BIN\LPD.PIF >nul
echo .... WMAIL.IN#	-- WMAIL.INI
DC$ %DSK%WMAIL.IN#	ETC\WMAIL.INI >nul
echo .... SMTP.DL#	-- SMTP.DLL
DC$ %DSK%SMTP.DL#	BIN\SMTP.DLL >nul
echo .... POP.DL#	-- POP.DLL
DC$ %DSK%POP.DL#	BIN\POP.DLL >nul
echo .... DECODE.EX#	-- DECODE.EXE
DC$ %DSK%DECODE.EX#	BIN\DECODE.EXE >nul
echo .... TCP437.FO#	-- TCP437.FON
DC$ %DSK%TCP437.FO#	BIN\TCP437.FON >nul
echo .... TCP850.FO#	-- TCP850.FON
DC$ %DSK%TCP850.FO#	BIN\TCP850.FON >nul
echo .... NEWPING.IC#	-- NEWPING.ICO
DC$ %DSK%NEWPING.IC#	BIN\NEWPING.ICO >nul
echo .... DOSTCP.SY#	-- DOSTCP.SYS
DC$ %DSK%DOSTCP.SY#	BIN\DOSTCP.SYS >nul
echo .... WTELNET.HL#	-- WTELNET.HLP
DC$ %DSK%WTELNET.HL#	HELP\WTELNET.HLP >nul
echo .... SETCLOCK.EX#	-- SETCLOCK.EXE
DC$ %DSK%SETCLOCK.EX#	BIN\SETCLOCK.EXE >nul
echo .... TCPABOUT.EX#	-- TCPABOUT.EXE
DC$ %DSK%TCPABOUT.EX#	BIN\TCPABOUT.EXE >nul
echo .... FTP.DO#	-- FTP.DOC
DC$ %DSK%FTP.DO#	DOC\FTP.DOC >nul
if not exist ETC\XLATE\nul md ETC\XLATE
echo .... X437037.XL#	-- X437037.XLT
DC$ %DSK%X437037.XL#	ETC\XLATE\X437037.XLT >nul
echo .... X437273.XL#	-- X437273.XLT
DC$ %DSK%X437273.XL#	ETC\XLATE\X437273.XLT >nul
echo .... X437277.XL#	-- X437277.XLT
DC$ %DSK%X437277.XL#	ETC\XLATE\X437277.XLT >nul
echo .... X437278.XL#	-- X437278.XLT
DC$ %DSK%X437278.XL#	ETC\XLATE\X437278.XLT >nul
echo .... X437280.XL#	-- X437280.XLT
DC$ %DSK%X437280.XL#	ETC\XLATE\X437280.XLT >nul
echo .... X437281.XL#	-- X437281.XLT
DC$ %DSK%X437281.XL#	ETC\XLATE\X437281.XLT >nul
echo .... X437284.XL#	-- X437284.XLT
DC$ %DSK%X437284.XL#	ETC\XLATE\X437284.XLT >nul
echo .... X437285.XL#	-- X437285.XLT
DC$ %DSK%X437285.XL#	ETC\XLATE\X437285.XLT >nul
echo .... X437297.XL#	-- X437297.XLT
DC$ %DSK%X437297.XL#	ETC\XLATE\X437297.XLT >nul
echo .... X437500.XL#	-- X437500.XLT
DC$ %DSK%X437500.XL#	ETC\XLATE\X437500.XLT >nul
echo .... LPRRDSET.EX#	-- LPRRDSET.EXE
DC$ %DSK%LPRRDSET.EX#	BIN\LPRRDSET.EXE >nul
echo .... SETTERM.EX#	-- SETTERM.EXE
DC$ %DSK%SETTERM.EX#	BIN\SETTERM.EXE >nul

ERASE DC$.EXE>nul

echo.
echo.
cls
echo.
echo The Corrective Service has been installed correctly...
echo.
if not exist DOC\%CSDTYPE%CSD.DOC goto nocsddoc
echo Please look at the file DOC\%CSDTYPE%CSD.DOC to see what has been
echo fixed in this CSD.
echo You should also examine DOC\SLIP.DOC, DOC\TFTP.DOC, and DOC\FTP.DOC
echo for changes since the manuals were printed.
:nocsddoc
echo.
echo.

:installed
%DSK%TCPSETV %CSDNO%
call POPD$
ERASE %TCPBASE%\POPD$.BAT>nul
echo CSD %CSDNO% is installed.

:QUIT
SET DSK=
SET D=
